add_hw_req
aging_time
bank
cam_addr
cam_bucket
clean_aging_map
clean_fd
clean_hcam_entry
clean_htab_entry
clean_list
clean_vd
delete_hcam_entry
delete_htab_entry
fd_mutex
find_empty_bucket_in_hcam
FOUND
HCAM
hcam_contains
HTAB
htab_contains
HW_CLEAN_REQ
hw_req_list
HW_WRITE_REQ
matched
NOT_FOUND
NOT_FOUND_AND_FIRST
NOT_FOUND_AND_FULL
rtu_agr_hcam
rtu_agr_htab
rtu_fd_age_out
rtu_fd_age_update
rtu_fd_commit
rtu_fd_create_entry
rtu_fd_flush
rtu_fd_init
rtu_fd_lookup_htab_entry
rtu_fd_set_aging_time
rtu_fd_set_hash_poly
rtu_hcam
rtu_htab
rtu_hw_commit
set_active_bank
shift_hcam_entries
shift_htab_entries
tail
update_aging_map
vlan_tab
write_hcam_entry
write_htab_entry
zbt_addr

int rtu_fd_create_entry | ( | uint8_t | mac[ETH_ALEN],
|  | uint16_t | vid,
|  | uint32_t | port_map,
|  | int | dynamic
| ) |  |

Creates or updates a filtering entry in the filtering database.

Parameters:

  mac | MAC address specification
  vid | VLAN identifier
  port_map | a port map specification with a control element for each outbound port to specify filtering for that MAC address specification and VID
  dynamic | it indicates whether it's a dynamic entry

Returns:
  0 if entry was created or updated. -ENOMEM if no space is available.

All Classes Files Functions Variables Defines